## r-bioc-saturn 1.8.0+dfsg

=== DESCRIPTION ===
Package: satuRn
Type: Package
Title: Scalable Analysis of Differential Transcript Usage for Bulk and
        Single-Cell RNA-sequencing Applications
Date: 2022-08-05
Version: 1.8.0
Authors@R: c(person("Jeroen", "Gilis", role = c("aut","cre"),
                     email = "jeroen.gilis@ugent.be"),
             person("Kristoffer", "Vitting-Seerup", role = "ctb",
                     email = "kristoffer.vittingseerup@bio.ku.dk"),
	     person("Koen","Van den Berge", role = "ctb",
		     email = "koen.vandenberge@ugent.be"),
	     person("Lieven","Clement", role="ctb",
		     email = "Lieven.Clement@ugent.be"))
Description: satuRn provides a higly performant and scalable framework for performing
    differential transcript usage analyses. The package consists of three main functions.
    The first function, fitDTU, fits quasi-binomial generalized linear models that model
    transcript usage in different groups of interest. The second function, testDTU, tests    
    for differential usage of transcripts between groups of interest. Finally, plotDTU  
    visualizes the usage profiles of transcripts in groups of interest.
Depends: R (>= 4.1)
Imports: locfdr, SummarizedExperiment, BiocParallel, limma, pbapply,
        ggplot2, boot, Matrix, stats, methods, graphics
Suggests: knitr, rmarkdown, testthat, covr, BiocStyle, AnnotationHub,
        ensembldb, edgeR, DEXSeq, stageR, DelayedArray
VignetteBuilder: knitr
Collate: 'data.R' 'satuRn-framework.R' 'allGenerics.R' 'accessors.R'
        'fitDTU.R' 'testDTU.R' 'plotDTU.R'
License: Artistic-2.0
URL: https://github.com/statOmics/satuRn
BugReports: https://github.com/statOmics/satuRn/issues
Encoding: UTF-8
LazyData: false
RoxygenNote: 7.2.0
biocViews: Regression, ExperimentalDesign, DifferentialExpression,
        GeneExpression, RNASeq, Sequencing, Software, SingleCell,
        Transcriptomics, MultipleComparison, Visualization
git_url: https://git.bioconductor.org/packages/satuRn
git_branch: RELEASE_3_17
git_last_commit: e0fe66c
git_last_commit_date: 2023-04-25
Date/Publication: 2023-04-25
NeedsCompilation: no
Packaged: 2023-04-25 22:36:37 UTC; biocbuild
Author: Jeroen Gilis [aut, cre],
  Kristoffer Vitting-Seerup [ctb],
  Koen Van den Berge [ctb],
  Lieven Clement [ctb]
Maintainer: Jeroen Gilis <jeroen.gilis@ugent.be>

=== debian/changelog ===
r-bioc-saturn (1.8.0+dfsg-3) unstable; urgency=medium

  * Fix Build-Depends
    Closes: #1043439

 -- Andreas Tille <tille@debian.org>  Fri, 11 Aug 2023 08:47:12 +0200

r-bioc-saturn (1.8.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Aug 2023 08:15:08 +0200

r-bioc-saturn (1.8.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1042421)

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jul 2023 06:41:36 +0200

## r-bioc-saturn 1.10.0%2Bdfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Scalable Analysis of Differential Transcript Usage for Bulk and
         Single-Cell RNA-sequencing Applications
 Date: 2022-08-05
-Version: 1.8.0
+Version: 1.10.0
 Authors@R: c(person("Jeroen", "Gilis", role = c("aut","cre"),
                      email = "jeroen.gilis@ugent.be"),
              person("Kristoffer", "Vitting-Seerup", role = "ctb",
@@ -36,12 +36,12 @@
         GeneExpression, RNASeq, Sequencing, Software, SingleCell,
         Transcriptomics, MultipleComparison, Visualization
 git_url: https://git.bioconductor.org/packages/satuRn
-git_branch: RELEASE_3_17
-git_last_commit: e0fe66c
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 97878c3
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: no
-Packaged: 2023-04-25 22:36:37 UTC; biocbuild
+Packaged: 2023-10-24 22:52:40 UTC; biocbuild
 Author: Jeroen Gilis [aut, cre],
   Kristoffer Vitting-Seerup [ctb],
   Koen Van den Berge [ctb],

## r-bioc-saturn 1.10.0+dfsg

=== debian/changelog ===
r-bioc-saturn (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 14:44:22 +0100

=== debian/control ===
Source: r-bioc-saturn
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-saturn
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-saturn.git
Homepage: https://bioconductor.org/packages/satuRn/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-locfdr,
               r-bioc-summarizedexperiment,
               r-bioc-biocparallel,
               r-bioc-limma,
               r-cran-pbapply,
               r-cran-ggplot2,
               r-cran-boot,
               r-cran-matrix
Testsuite: autopkgtest-pkg-r

Package: r-bioc-saturn
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: scalable analysis of differential transcript usage for RNA-sequencing
 This Bioconductor package can be used for Scalable Analysis of Differential
 Transcript Usage for Bulk and Single-Cell RNA-sequencing.
 .
 Applications satuRn provides a higly
 performant and scalable framework for performing differential
 transcript usage analyses. The package consists of three main
 functions. The first function, fitDTU, fits quasi-binomial
 generalized linear models that model transcript usage in different
 groups of interest. The second function, testDTU, tests for
 differential usage of transcripts between groups of interest.
 Finally, plotDTU visualizes the usage profiles of transcripts in
 groups of interest.

## r-bioc-saturn 1.12.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Scalable Analysis of Differential Transcript Usage for Bulk and
         Single-Cell RNA-sequencing Applications
 Date: 2022-08-05
-Version: 1.10.0
+Version: 1.12.0
 Authors@R: c(person("Jeroen", "Gilis", role = c("aut","cre"),
                      email = "jeroen.gilis@ugent.be"),
              person("Kristoffer", "Vitting-Seerup", role = "ctb",
@@ -36,12 +36,13 @@
         GeneExpression, RNASeq, Sequencing, Software, SingleCell,
         Transcriptomics, MultipleComparison, Visualization
 git_url: https://git.bioconductor.org/packages/satuRn
-git_branch: RELEASE_3_18
-git_last_commit: 97878c3
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: ad41ea3
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-10-24 22:52:40 UTC; biocbuild
+Packaged: 2024-05-01 05:48:37 UTC; biocbuild
 Author: Jeroen Gilis [aut, cre],
   Kristoffer Vitting-Seerup [ctb],
   Koen Van den Berge [ctb],

=== debian/changelog ===
r-bioc-saturn (1.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:30:57 +0200

r-bioc-saturn (1.12.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 06 Aug 2024 14:17:33 +0200

r-bioc-saturn (1.12.0+dfsg-1~0exp) experimental; urgency=low

  * Team upload
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 17:46:14 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                dh-r,
                r-base-dev,
                r-cran-locfdr,
-               r-bioc-summarizedexperiment,
-               r-bioc-biocparallel,
-               r-bioc-limma,
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-biocparallel (>= 1.38.0),
+               r-bioc-limma (>= 3.60.4),
                r-cran-pbapply,
                r-cran-ggplot2,
                r-cran-boot,
@@ -24,9 +24,18 @@
 Package: r-bioc-saturn
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-biocparallel (>= 1.38.0),
+         r-bioc-limma (>= 3.60.4)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-annotationhub (>= 3.12.0),
+          r-bioc-ensembldb (>= 2.28.0),
+          r-bioc-edger (>= 4.2.1),
+          r-bioc-dexseq (>= 1.50.0),
+          r-bioc-delayedarray (>= 0.30.1)
 Description: scalable analysis of differential transcript usage for RNA-sequencing
  This Bioconductor package can be used for Scalable Analysis of Differential
  Transcript Usage for Bulk and Single-Cell RNA-sequencing.

## r-bioc-saturn 1.14.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Scalable Analysis of Differential Transcript Usage for Bulk and
         Single-Cell RNA-sequencing Applications
 Date: 2022-08-05
-Version: 1.12.0
+Version: 1.14.0
 Authors@R: c(person("Jeroen", "Gilis", role = c("aut","cre"),
                      email = "jeroen.gilis@ugent.be"),
              person("Kristoffer", "Vitting-Seerup", role = "ctb",
@@ -36,13 +36,13 @@
         GeneExpression, RNASeq, Sequencing, Software, SingleCell,
         Transcriptomics, MultipleComparison, Visualization
 git_url: https://git.bioconductor.org/packages/satuRn
-git_branch: RELEASE_3_19
-git_last_commit: ad41ea3
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: 4642168
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: no
-Packaged: 2024-05-01 05:48:37 UTC; biocbuild
+Packaged: 2024-10-30 02:37:40 UTC; biocbuild
 Author: Jeroen Gilis [aut, cre],
   Kristoffer Vitting-Seerup [ctb],
   Koen Van den Berge [ctb],

=== debian/changelog ===
r-bioc-saturn (1.14.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 09:14:26 +0100

r-bioc-saturn (1.14.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 09:43:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-saturn
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-saturn.git
 Homepage: https://bioconductor.org/packages/satuRn/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-locfdr,
-               r-bioc-summarizedexperiment (>= 1.34.0),
-               r-bioc-biocparallel (>= 1.38.0),
-               r-bioc-limma (>= 3.60.4),
+               r-bioc-summarizedexperiment,
+               r-bioc-biocparallel,
+               r-bioc-limma,
                r-cran-pbapply,
                r-cran-ggplot2,
                r-cran-boot,
@@ -24,18 +24,9 @@
 Package: r-bioc-saturn
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-summarizedexperiment (>= 1.34.0),
-         r-bioc-biocparallel (>= 1.38.0),
-         r-bioc-limma (>= 3.60.4)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1),
-          r-bioc-annotationhub (>= 3.12.0),
-          r-bioc-ensembldb (>= 2.28.0),
-          r-bioc-edger (>= 4.2.1),
-          r-bioc-dexseq (>= 1.50.0),
-          r-bioc-delayedarray (>= 0.30.1)
+Suggests: ${R:Suggests}
 Description: scalable analysis of differential transcript usage for RNA-sequencing
  This Bioconductor package can be used for Scalable Analysis of Differential
  Transcript Usage for Bulk and Single-Cell RNA-sequencing.

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=auto" \
https://bioconductor.org/packages/release/bioc/html/satuRn.html .*/satuRn_(.*).tar.gz
